<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace PrometheusModule\Lib;

class ForLengths {

    /**
     * @return array
     */
    public function getLengths() {
        return [
            '5s'  => __('5 seconds'),
            '10s' => __('10 seconds'),
            '15s' => __('15 seconds'),
            '30s' => __('30 seconds'),
            '1m'  => __('1 minute'),
            '90s' => __('1 minute 30 seconds'),
            '2m'  => __('2 minutes'),
            '3m'  => __('3 minutes'),
            '4m'  => __('4 minutes'),
            '5m'  => __('5 minutes'),
            '10m' => __('10 minutes'),
            '15m' => __('15 minutes'),
            '20m' => __('20 minutes'),
            '25m' => __('25 minutes'),
            '30m' => __('30 minutes'),
            '40m' => __('40 minutes'),
            '50m' => __('50 minutes'),
            '1h'  => __('1 hour'),
            '90m' => __('1 hour 30 minutes'),
            '2h'  => __('2 hours'),
            '3h'  => __('3 hours'),
            '4h'  => __('4 hours'),
            '5h'  => __('5 hours'),
            '6h'  => __('6 hours'),
            '12h' => __('12 hours'),
            '1d'  => __('1 day'),
        ];
    }

}
